SUM(1)

NAME
sum - print checksum and size of a file

SYNOPSIS
sum [ file ... ]

DESCRIPTION
Sum calculates and prints a 16-bit checksum for the named file, and also prints the size of the file in 512-byte units. If no files are named, the standard input is read. It is typically used to look for bad spots, or to validate a file communicated over some transmission line.

SEE ALSO
wc(1)

DIAGNOSTICS
`Read error' is indistinguishable from end of file on most devices; check the 512-byte unit count.